Commit e0b01a8c authored by Filipe Saraiva's avatar Filipe Saraiva

Add recommended version to Sage backend

Closes T3861 T3855
parent 23fe5548
......@@ -56,6 +56,11 @@ QString SageBackend::id() const
return QLatin1String("sage");
}
QString SageBackend::version() const
{
return QLatin1String("Undefined");
}
Cantor::Session* SageBackend::createSession()
{
qDebug()<<"Spawning a new Sage session";
......
......@@ -31,6 +31,7 @@ class SageBackend : public Cantor::Backend
~SageBackend();
QString id() const;
QString version() const override;
Cantor::Session *createSession();
Cantor::Backend::Capabilities capabilities() const;
virtual bool requirementsFullfilled() const;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment